GreatWksDBParserInternal::Database Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GreatWksDBParserInternal::Database Class Reference

the database of a GreatWksDBParser More...

## Public Member Functions
| Database ()
| constructor More...
bool | addCell (MWAWVec2i const &pos, Cell const &cell)
| add a cell data in one given position More...
int | getRowHeight (int row) const
| returns the row size in point More...
std::vector< float > | convertInPoint (std::vector< int > const &list) const
| convert the m_widthCols in a vector of of point size More...

## Public Attributes
int | m_numRecords
| the number of records More...
std::vector< MWAWEntry > | m_rowList
| the list of rows data More...
std::vector< Field > | m_fieldList
| the list of field More...
int | m_widthDefault
| the default column width More...
std::vector< int > | m_widthCols
| the column size in points More...
int | m_heightDefault
| the default row height More...
std::vector< int > | m_heightRows
| the row height in points More...
std::map< int, std::vector< Cell > > | m_rowCellsMap
| the map row -> list of cells More...
std::string | m_name
| the database name More...

## Detailed Description

the database of a GreatWksDBParser

## Constructor & Destructor Documentation

GreatWksDBParserInternal::Database::Database | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool GreatWksDBParserInternal::Database::addCell | ( | MWAWVec2i const & | pos,
|  | Cell const & | cell
| ) |  |
| inline

add a cell data in one given position

Referenced by GreatWksDBParser::readFieldRecords(), and GreatWksDBParser::readRowRecords().

std::vector<float> GreatWksDBParserInternal::Database::convertInPoint | ( | std::vector< int > const & | list | ) | const
| inline

convert the m_widthCols in a vector of of point size

int GreatWksDBParserInternal::Database::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

## Member Data Documentation

std::vector<Field> GreatWksDBParserInternal::Database::m_fieldList

the list of field

Referenced by GreatWksDBParser::readDatabase(), GreatWksDBParser::readFieldAuxis(), GreatWksDBParser::readRowRecords(), and GreatWksDBParser::sendDatabase().

int GreatWksDBParserInternal::Database::m_heightDefault

the default row height

std::vector<int> GreatWksDBParserInternal::Database::m_heightRows

the row height in points

std::string GreatWksDBParserInternal::Database::m_name

the database name

int GreatWksDBParserInternal::Database::m_numRecords

the number of records

std::map<int, std::vector<Cell> > GreatWksDBParserInternal::Database::m_rowCellsMap

the map row -> list of cells

Referenced by GreatWksDBParser::readDatabase(), and GreatWksDBParser::sendDatabase().

std::vector<MWAWEntry> GreatWksDBParserInternal::Database::m_rowList

the list of rows data

Referenced by GreatWksDBParser::readDatabase(), and GreatWksDBParser::readRowLinks().

std::vector<int> GreatWksDBParserInternal::Database::m_widthCols

the column size in points

int GreatWksDBParserInternal::Database::m_widthDefault

the default column width

The documentation for this class was generated from the following file:

- GreatWksDBParser.cxx